%define modname yaml
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B13_%{modname}.ini

Summary:	YAML-1.1 parser and emitter
Name:		php-%{modname}
Version:	1.1.0
Release:	%mkrel 6
Group:		Development/PHP
License:	MIT
URL:		http://pecl.php.net/package/yaml/
Source0:	http://pecl.php.net/get/yaml-%{version}.tgz
Source1:	B13_yaml.ini
BuildRequires:	pkgconfig
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	yaml-devel


%description
Support for YAML 1.1 (YAML Ain't Markup Language) serialization using the
LibYAML library.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package*.xml tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Fri Jan 24 2014 pterjan <pterjan> 1.1.0-6.mga4
+ Revision: 567630
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-5.mga4
+ Revision: 527867
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.1.0-4.mga4
+ Revision: 442747
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.1.0-3.mga3
+ Revision: 393379
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 377651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 spuhler <spuhler> 1.1.0-1.mga3
+ Revision: 274733
- upgrade to 1.1.0

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.1-3.mga2
+ Revision: 223956
- httpd restart is handled by filetriggers now

* Mon Jul 11 2011 spuhler <spuhler> 1.0.1-2.mga2
+ Revision: 122072
- imported package php-yaml

